Summary:	Perl module for DSA signatures and key generation
Name:		perl-Crypt-DSA
Version:	0.14
Release:	1%{?dist}
License:	GPL or Artistic
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/Crypt-DSA/
Source0:	http://search.cpan.org/CPAN/authors/id/B/BT/BTROTT/Crypt-DSA-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:	noarch
BuildRequires:	perl(Digest::SHA1)
BuildRequires:	perl(Convert::PEM) >= 0.07
BuildRequires:	perl(Data::Buffer) >= 0.01

%description
Crypt::DSA is an implementation of the DSA (Digital Signature Algorithm)
signature verification system. This package provides DSA signing, signature
verification, and key generation.

%prep
%setup -q -n Crypt-DSA-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -type d -depth -exec /bin/rmdir {} 2>/dev/null ';'
%{__chmod} -R u+w %{buildroot}/*

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc Changes ToDo
%{perl_vendorlib}/Crypt/
%{_mandir}/man3/Crypt::DSA.3pm*
%{_mandir}/man3/Crypt::DSA::Key.3pm*
%{_mandir}/man3/Crypt::DSA::Key::PEM.3pm*
%{_mandir}/man3/Crypt::DSA::Key::SSH2.3pm*
%{_mandir}/man3/Crypt::DSA::KeyChain.3pm*
%{_mandir}/man3/Crypt::DSA::Signature.3pm*
%{_mandir}/man3/Crypt::DSA::Util.3pm*

%changelog
* Tue May  9 2006 Paul Howarth <paul@city-fan.org> 0.14-1
- Update to 0.14

* Mon Nov 28 2005 Paul Howarth <paul@city-fan.org> 0.13-1
- Initial build
